package com.sunxung.factoring.mapper;

import java.util.List;

import com.sunxung.factoring.entity.BaseSearch;

/**
 * @Description
 * @author 江静
 * @date 2017年3月8日 下午5:48:44
 * @version 1.0
 */

public interface BaseMapper<BaseEntity> {
	/** 新增 */
	void add(BaseEntity entity);

	/** 修改 */
	Integer update(BaseEntity entity);

	/** 删除 */
    int delete(Long id);

	/** 根据id获取对象 */
	BaseEntity get(Long id);

	/** 获取总数 */
	Integer countBySearch(BaseSearch baseSearch);

	/** 获取列表 */
	List<BaseEntity> findBySearch(BaseSearch baseSearch);
}
